Skip to content
Permalink
Browse files

Update xplat/js to 0.92.0

Summary: This diff updates `xplat/js` to Flow 0.92.0

Reviewed By: panagosg7

Differential Revision: D13917049

fbshipit-source-id: 69613182badecd4c23aef25b79f7380d5604a13b
  • Loading branch information...
pakoito authored and facebook-github-bot committed Feb 1, 2019
1 parent 84572c4 commit 5ee738659b4ac7b0e73b9dba09a63091d4571ed9
Showing with 11 additions and 14 deletions.
  1. +1 −1 .flowconfig
  2. +1 −1 .flowconfig.android
  3. +2 −2 Libraries/Components/ScrollView/ScrollView.js
  4. +0 −3 Libraries/Inspector/Inspector.js
  5. +2 −2 package.json
  6. +1 −1 template/_flowconfig
  7. +4 −4 yarn.lock
@@ -100,4 +100,4 @@ untyped-import
untyped-type-import

[version]
^0.91.0
^0.92.0
@@ -100,4 +100,4 @@ untyped-import
untyped-type-import

[version]
^0.91.0
^0.92.0
@@ -403,8 +403,8 @@ export type Props = $ReadOnly<{|
* - `false`, deprecated, use 'never' instead
* - `true`, deprecated, use 'always' instead
*/
/* $FlowFixMe(>=0.91.0 site=react_native_fb) This comment suppresses an error
* found when Flow v0.91 was deployed. To see the error, delete this comment
/* $FlowFixMe(>=0.92.0 site=react_native_fb) This comment suppresses an error
* found when Flow v0.92 was deployed. To see the error, delete this comment
* and run Flow. */
keyboardShouldPersistTaps?: ?('always' | 'never' | 'handled' | false | true),
/**
@@ -118,9 +118,6 @@ class Inspector extends React.Component<
attachToDevtools = (agent: Object) => {
let _hideWait = null;
const hlSub = agent.sub('highlight', ({node, name, props}) => {
/* $FlowFixMe(>=0.63.0 site=react_native_fb) This comment suppresses an
* error found when Flow v0.63 was deployed. To see the error delete this
* comment and run Flow. */
clearTimeout(_hideWait);

if (typeof node !== 'number') {
@@ -157,6 +157,7 @@
},
"dependencies": {
"@babel/runtime": "^7.0.0",
"@react-native-community/cli": "^1.1.0",
"absolute-path": "^0.0.0",
"art": "^0.10.0",
"base64-js": "^1.1.2",
@@ -198,7 +199,6 @@
"prop-types": "^15.5.8",
"react-clone-referenced-element": "^1.0.1",
"react-devtools-core": "^3.6.0",
"@react-native-community/cli": "^1.1.0",
"regenerator-runtime": "^0.11.0",
"rimraf": "^2.5.4",
"semver": "^5.0.3",
@@ -226,7 +226,7 @@
"eslint-plugin-prettier": "2.6.0",
"eslint-plugin-react": "7.8.2",
"eslint-plugin-react-native": "3.5.0",
"flow-bin": "^0.91.0",
"flow-bin": "^0.92.0",
"jest": "24.0.0-alpha.6",
"jest-junit": "5.2.0",
"jscodeshift": "^0.6.2",
@@ -66,4 +66,4 @@ suppress_comment=\\(.\\|\n\\)*\\$FlowFixedInNextDeploy
suppress_comment=\\(.\\|\n\\)*\\$FlowExpectedError

[version]
^0.91.0
^0.92.0
@@ -3145,10 +3145,10 @@ flat-cache@^1.2.1:
graceful-fs "^4.1.2"
write "^0.2.1"

flow-bin@^0.91.0:
version "0.91.0"
resolved "https://registry.yarnpkg.com/flow-bin/-/flow-bin-0.91.0.tgz#f5c89729f74b2ccbd47df6fbfadbdcc89cc1e478"
integrity sha512-j+L+xNiUYnZZ27MjVI0y2c9474ZHOvdSQq0Tjwh56mEA7tfxYqp5Dcb6aZSwvs3tGMTjCrZow9aUlZf3OoRyDQ==
flow-bin@^0.92.0:
version "0.92.0"
resolved "https://registry.yarnpkg.com/flow-bin/-/flow-bin-0.92.0.tgz#f5bf3e808b17b480e067ac673829ca715a168bea"
integrity sha512-3ErXSAXZZlLV5/QPlaUDCWlDUXop1SiH32ifXL3SEiBwsmGbudCLim+HFVZfkegrn1nB4TcNSkMWtW8SnMPyAQ==

flow-parser@0.*:
version "0.89.0"

0 comments on commit 5ee7386

Please sign in to comment.
You can’t perform that action at this time.